/*
 * Copyright (C) 1996,1997,1998
 *	SHUDOH Kazuyuki
 *
 * Permission to use, copy, modify and distribute this software
 * and its documentation for non-commercial purposes and without
 * fee is hereby granted provided this copyright notice.
 *
 * $Id$
 */

package NET.shudo.moba.reflect;

public
class Signature {
  String mySignature = null;

  Signature(String sig) {
    mySignature = sig;
  }

  public boolean isObject() { return isObject(mySignature); }
  public boolean isString() { return isString(mySignature); }
  public boolean isBaseType() { return isBaseType(mySignature); }
  public boolean isArray() { return isArray(mySignature); }
  public boolean isObjectArray() { return isObjectArray(mySignature); }
  public boolean isBaseTypeArray() { return isBaseTypeArray(mySignature); }

  public static native boolean isObject(String sig);
  public static native boolean isString(String sig);
  public static native boolean isBaseType(String sig);
  public static native boolean isArray(String sig);
  public static native boolean isObjectArray(String sig);
  public static native boolean isBaseTypeArray(String sig);

  public boolean isAny() {
    return isAny(mySignature);
  }
  public boolean isByte() {
    return isByte(mySignature);
  }
  public boolean isChar() {
    return isChar(mySignature);
  }
  public boolean isDouble() {
    return isDouble(mySignature);
  }
  public boolean isEnum() {
    return isEnum(mySignature);
  }
  public boolean isFloat() {
    return isFloat(mySignature);
  }
  public boolean isInt() {
    return isInt(mySignature);
  }
  public boolean isLong() {
    return isLong(mySignature);
  }
  public boolean isShort() {
    return isShort(mySignature);
  }
  public boolean isVoid() {
    return isVoid(mySignature);
  }
  public boolean isBoolean() {
    return isBoolean(mySignature);
  }

  public static native boolean isAny(String sig);
  public static native boolean isByte(String sig);
  public static native boolean isChar(String sig);
  public static native boolean isDouble(String sig);
  public static native boolean isEnum(String sig);
  public static native boolean isFloat(String sig);
  public static native boolean isInt(String sig);
  public static native boolean isLong(String sig);
  public static native boolean isShort(String sig);
  public static native boolean isVoid(String sig);
  public static native boolean isBoolean(String sig);
}
