/*
 * Copyright (C) 1996,1997,1998
 *	SHUDOH Kazuyuki
 *
 * Permission to use, copy, modify and distribute this software
 * and its documentation for non-commercial purposes and without
 * fee is hereby granted provided this copyright notice.
 *
 * $Id$
 */

/*
 * native methods 
 */


#ifndef _MOBA_NATIVE_H_
#define _MOBA_NATIVE_H_

#if (JDK_VER < 110) && !defined(WIN32)	/* for JDK 1.0.X javah on UN*X */
#define int32_t long
#endif


/* ­ */
#ifndef _UINT16_T
#define _UINT16_T
typedef unsigned short uint16_t;
#endif

#ifndef __BIT_TYPES_DEFINED__
#ifndef _INT16_T
#define _INT16_T
typedef short int16_t;
#endif
#endif /* __BIT_TYPES_DEFINED__ */


/* ޥ­ &  */
#if (JDK_VER < 110)	/* old fashion */
  /* ޥ­ */
  /* #define cbAccess() */
  /* #define cbClassname() Фʤ: classname */
  /* #define cbConstantPool() */
  #define cbConstantPoolCount(cb)	((cb)->constantpool_count)
  /* #define cbFields() */
  #define cbFieldsCount(cb)		((cb)->fields_count)
  #define cbConstantPoolCount(cb)	((cb)->constantpool_count)
  /* #define cbFields() */
  #define cbFieldsCount(cb)		((cb)->fields_count)
  #define cbFinalizer(cb)		((cb)->finalizer)
  #define cbFlags(cb)			((cb)->flags)
  /* #define cbHandle() */
  /* #define cbImplements() */
  #define cbImplementsCount(cb)		((cb)->implements_count)
  /* #define cbInstanceSize() */
  /* #define cbIntfMethodTable() Фʤ: imethodtable */
  /* #define cbLoader() */
  #define cbMajorVersion(cb)		((cb)->major_version)
  /* #define cbMethods() */
  #define cbMethodsCount(cb)		((cb)->methods_count)
  /* #define cbMethodTable() */
  #define cbMethodsTableMem(cb)		((cb)->methodtable_mem)
  /* #define cbMethodsTableSize(cb) */
  #define cbMinorVersion(cb)		((cb)->minor_version)
  #define cbName(cb)			((cb)->name)
  /* #define cbSigners() Фʤ: signers */
  /* #define cbSlotTable() */
  /* #define cbSlotTableSize() */
  #define cbSourceName(cb)		((cb)->source_name)
  /* #define cbSuperclass()  */
  #define cbSuperName(cb)		((cb)->super_name)
  /* #define cbThisHash() */
  /* #define cbTotalHash() */

  /* ޥ */
  #undef cbSuperclass
  #define cbSuperclass(cb)	(unhand((cb)->superclass))

  #define handleToClassClass(h)	\
	(unhand(java_lang_Object_getClass((HObject *)(h))))
#else
  #define handleToClassClass(h)	(java_lang_Object_getClass((HObject *)(h)))
#endif /* JDK_VER < 110 */


#endif /* _MOBA_NATIVE_H_ */
